PHP_ARG_WITH(fastbit,for Fastbit support,
[  --with-fastbit[=DIR]     Include Fastbit support])
PHP_ARG_WITH(fastbit-mysql,for Fastbit+MySQL support,
[  --with-fastbit-mysql[=DIR]     Include MySQL support for Fastbit], no, no)

if test "$PHP_FASTBIT" != "no"; then
        PHP_REQUIRE_CXX()
	PHP_NEW_EXTENSION(fastbit, fastbit.cc, $ext_shared)
	if test "$PHP_FASTBIT" != "yes"; then
	    FASTBIT_SEARCH_DIRS=$PHP_FASTBIT
	else
	    FASTBIT_SEARCH_DIRS="/usr/local /usr"
	fi
	for i in $FASTBIT_SEARCH_DIRS; do
		if test -f $i/include/fastbit/ibis.h; then
			FASTBIT_DIR=$i
			FASTBIT_INCDIR=$i/include/fastbit
		elif test -f $i/include/ibis.h; then
			FASTBIT_DIR=$i
			FASTBIT_INCDIR=$i/include
		fi
	done
        AC_MSG_CHECKING(for fastbit)
	if test -z "$FASTBIT_DIR"; then
		AC_MSG_ERROR(Cannot find fastbit)
        else
          AC_MSG_RESULT(found in $FASTBIT_DIR)
	fi

	FASTBIT_LIBDIR=$FASTBIT_DIR/$PHP_LIBDIR

	PHP_ADD_LIBRARY_WITH_PATH(fastbit, $FASTBIT_LIBDIR, FASTBIT_SHARED_LIBADD)

        if test "$PHP_FASTBIT_MYSQL" != "no"; then
          AC_MSG_CHECKING(for fastbit mysql support)
          MYSQL_SEARCH_DIRS=$PHP_FASTBIT_MYSQL
          for i in $MYSQL_SEARCH_DIRS; do
            if test -f $i/include/mysql.h; then
              FASTBIT_MYSQL_INCDIR=$i/include
              FASTBIT_MYSQL_LIBDIR=$i/lib
            fi
            if test -f $i/include/mysql/mysql.h; then
              FASTBIT_MYSQL_INCDIR=$i/include/mysql
              FASTBIT_MYSQL_LIBDIR=$i/lib/mysql
            fi
          done
          if test -z "$FASTBIT_MYSQL_INCDIR" || test -z "$FASTBIT_MYSQL_LIBDIR"; then
            AC_MSG_ERROR(Couldn't find mysql)
          else
            AC_MSG_RESULT(found in $FASTBIT_MYSQL_LIBDIR)
	    PHP_CHECK_LIBRARY(mysqlclient,mysql_real_connect,
            [
	      PHP_ADD_LIBRARY_WITH_PATH(mysqlclient, $FASTBIT_MYSQL_LIBDIR, FASTBIT_SHARED_LIBADD)
              AC_DEFINE(HAVE_FASTBIT_MYSQL,1,[ ])
	      PHP_ADD_INCLUDE($FASTBIT_MYSQL_INCDIR)
            ],
            [
              AC_MSG_ERROR(Couldn't find mysql)
              AC_MSG_RESULT(no)
            ],
            [
		-L$FASTBIT_MYSQL_LIBDIR
            ])
          fi
        fi

	PHP_ADD_INCLUDE($FASTBIT_INCDIR)
	PHP_SUBST(FASTBIT_SHARED_LIBADD)
        PHP_ADD_LIBRARY(stdc++, 1, FASTBIT_SHARED_LIBADD)
	AC_DEFINE(HAVE_FASTBIT,1,[ ])
fi
