--TEST--
Check table object
--FILE--
<?php
$part=new fastbit_partition(dirname(__FILE__)."/data");
$table=new fastbit_table($part);
var_dump($table->columnNames());
var_dump($table->columnTypes());
$result=$table->select("COLUMN_NAME,ORDINAL_POSITION","1=1");
var_dump($result->columnNames());
var_dump($result->columnTypes());
var_dump($result->getTableResult());
// produces an internal fastbit segfault :O
//var_dump($result->select("COLUMN_NAME","COLUMN_NAME=1")->getTableResult());
// hmm...fastbit should really fail here :S
var_dump($table->select("hihi","1=1")->getTableResult());
try
{
  var_dump($table->select("hihi>>> haha","1=1")->getTableResult());
}
catch (Exception $e)
{
  var_dump($e->getMessage());
}
var_dump($result->orderby("ORDINAL_POSITION"));
var_dump($result->getTableResult());
var_dump($result->groupby("COLUMN_NAME")->getTableResult());
var_dump($result->groupby("hihi")->getTableResult());
?>
--EXPECT--
array(3) {
  [0]=>
  string(11) "COLUMN_NAME"
  [1]=>
  string(11) "COLUMN_TYPE"
  [2]=>
  string(16) "ORDINAL_POSITION"
}
array(3) {
  [0]=>
  int(13)
  [1]=>
  int(13)
  [2]=>
  int(8)
}
array(2) {
  [0]=>
  string(11) "COLUMN_NAME"
  [1]=>
  string(16) "ORDINAL_POSITION"
}
array(2) {
  [0]=>
  int(13)
  [1]=>
  int(8)
}
array(213) {
  [0]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [1]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [2]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [3]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [4]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_name"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [5]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [6]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [7]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [8]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [9]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [10]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [11]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [12]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [13]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [14]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [15]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [16]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [17]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [18]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [19]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [20]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [21]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [22]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [23]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [24]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [25]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [26]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [27]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [28]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [29]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [30]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [31]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "body"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [32]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [33]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "execute_at"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [34]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_value"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [35]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_field"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [36]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "created"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [37]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [38]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "last_executed"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [39]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "starts"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [40]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "ends"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [41]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "status"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [42]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "on_completion"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [43]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [44]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [45]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "originator"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [46]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "time_zone"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [47]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [48]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [49]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [50]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [51]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [52]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "ret"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [53]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [54]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "type"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [55]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "event_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [56]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [57]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "thread_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [58]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [59]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "command_type"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [60]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "argument"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [61]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [62]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [63]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "parent_category_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [64]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "url"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [65]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [66]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [67]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [68]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [69]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [70]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [71]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [72]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "description"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [73]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "example"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [74]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "url"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [75]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [76]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [77]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [78]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [79]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [80]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [81]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [82]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [83]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [84]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [85]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [86]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [87]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [88]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [89]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [90]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [91]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [92]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [93]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [94]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [95]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Position"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [96]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "File"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [97]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "epoch"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [98]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "inserts"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [99]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "updates"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [100]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "deletes"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [101]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "schemaops"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [102]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [103]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [104]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [105]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [106]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "type"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [107]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "specific_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [108]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "language"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [109]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "sql_data_access"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [110]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "is_deterministic"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [111]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "security_type"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [112]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "param_list"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [113]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "returns"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [114]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "body"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [115]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [116]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "created"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [117]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [118]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [119]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [120]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [121]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [122]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [123]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [124]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [125]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [126]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [127]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [128]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_type"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [129]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [130]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Proc_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [131]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [132]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Server_name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [133]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [134]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [135]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Username"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [136]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [137]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Port"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [138]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Socket"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [139]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Wrapper"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [140]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "Owner"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [141]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "start_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [142]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [143]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "query_time"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [144]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "lock_time"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [145]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "rows_sent"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [146]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "rows_examined"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [147]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [148]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "last_insert_id"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [149]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "insert_id"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [150]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [151]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_text"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [152]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [153]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [154]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [155]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [156]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [157]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [158]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [159]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [160]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [161]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Use_leap_seconds"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [162]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [163]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Correction"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [164]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [165]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [166]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [167]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [168]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [169]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [170]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [171]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Offset"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [172]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Is_DST"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [173]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Abbreviation"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [174]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [175]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [176]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [177]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [178]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [179]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [180]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [181]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [182]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [183]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Reload_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [184]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "Shutdown_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [185]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Process_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [186]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "File_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [187]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [188]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [189]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [190]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [191]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Show_db_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [192]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Super_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [193]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [194]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [195]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [196]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Repl_slave_priv"
    ["ORDINAL_POSITION"]=>
    float(23)
  }
  [197]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Repl_client_priv"
    ["ORDINAL_POSITION"]=>
    float(24)
  }
  [198]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(25)
  }
  [199]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(26)
  }
  [200]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(27)
  }
  [201]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(28)
  }
  [202]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_user_priv"
    ["ORDINAL_POSITION"]=>
    float(29)
  }
  [203]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
    ["ORDINAL_POSITION"]=>
    float(30)
  }
  [204]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(31)
  }
  [205]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "ssl_type"
    ["ORDINAL_POSITION"]=>
    float(32)
  }
  [206]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "ssl_cipher"
    ["ORDINAL_POSITION"]=>
    float(33)
  }
  [207]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "x509_issuer"
    ["ORDINAL_POSITION"]=>
    float(34)
  }
  [208]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "x509_subject"
    ["ORDINAL_POSITION"]=>
    float(35)
  }
  [209]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "max_questions"
    ["ORDINAL_POSITION"]=>
    float(36)
  }
  [210]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "max_updates"
    ["ORDINAL_POSITION"]=>
    float(37)
  }
  [211]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "max_connections"
    ["ORDINAL_POSITION"]=>
    float(38)
  }
  [212]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "max_user_connections"
    ["ORDINAL_POSITION"]=>
    float(39)
  }
}
array(0) {
}
string(13) "Warning -- ibis::selectParser encountered syntax error, unexpected $undefined at location hihi>>> haha:1.5
Select failed"
NULL
array(213) {
  [0]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [1]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "event_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [2]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [3]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [4]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [5]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [6]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [7]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [8]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [9]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [10]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Position"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [11]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [12]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [13]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [14]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [15]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [16]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [17]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [18]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [19]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "start_time"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [20]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [21]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Server_name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [22]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(1)
  }
  [23]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [24]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [25]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [26]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [27]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [28]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "File"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [29]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [30]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [31]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [32]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [33]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Correction"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [34]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [35]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Use_leap_seconds"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [36]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [37]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [38]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [39]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [40]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [41]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [42]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [43]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [44]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "ret"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [45]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["ORDINAL_POSITION"]=>
    float(2)
  }
  [46]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [47]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [48]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [49]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Offset"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [50]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [51]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [52]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [53]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "body"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [54]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "type"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [55]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "query_time"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [56]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [57]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "thread_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [58]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [59]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [60]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "parent_category_id"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [61]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [62]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "epoch"
    ["ORDINAL_POSITION"]=>
    float(3)
  }
  [63]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [64]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [65]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Username"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [66]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [67]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "type"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [68]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "lock_time"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [69]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Is_DST"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [70]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "specific_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [71]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "url"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [72]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "description"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [73]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [74]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [75]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [76]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [77]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "inserts"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [78]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
    ["ORDINAL_POSITION"]=>
    float(4)
  }
  [79]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "command_type"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [80]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [81]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Abbreviation"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [82]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "execute_at"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [83]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "language"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [84]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "rows_sent"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [85]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [86]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_type"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [87]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [88]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [89]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_name"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [90]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [91]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "example"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [92]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "updates"
    ["ORDINAL_POSITION"]=>
    float(5)
  }
  [93]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [94]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [95]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "url"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [96]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [97]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "rows_examined"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [98]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_value"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [99]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [100]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "deletes"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [101]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [102]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "argument"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [103]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "sql_data_access"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [104]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [105]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Port"
    ["ORDINAL_POSITION"]=>
    float(6)
  }
  [106]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [107]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "is_deterministic"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [108]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "schemaops"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [109]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [110]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [111]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [112]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [113]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Socket"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [114]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [115]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_field"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [116]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Proc_priv"
    ["ORDINAL_POSITION"]=>
    float(7)
  }
  [117]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [118]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "last_insert_id"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [119]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [120]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [121]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [122]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Wrapper"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [123]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "created"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [124]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [125]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "security_type"
    ["ORDINAL_POSITION"]=>
    float(8)
  }
  [126]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "Owner"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [127]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [128]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "insert_id"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [129]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [130]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [131]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "param_list"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [132]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["ORDINAL_POSITION"]=>
    float(9)
  }
  [133]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [134]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Reload_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [135]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "last_executed"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [136]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "returns"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [137]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [138]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
    ["ORDINAL_POSITION"]=>
    float(10)
  }
  [139]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "body"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [140]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [141]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_text"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [142]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [143]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "starts"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [144]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "Shutdown_priv"
    ["ORDINAL_POSITION"]=>
    float(11)
  }
  [145]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [146]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Process_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [147]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [148]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [149]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "ends"
    ["ORDINAL_POSITION"]=>
    float(12)
  }
  [150]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "created"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [151]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [152]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [153]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "status"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [154]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "File_priv"
    ["ORDINAL_POSITION"]=>
    float(13)
  }
  [155]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [156]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "on_completion"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [157]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [158]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [159]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["ORDINAL_POSITION"]=>
    float(14)
  }
  [160]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [161]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [162]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [163]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [164]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(15)
  }
  [165]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [166]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [167]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [168]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [169]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
    ["ORDINAL_POSITION"]=>
    float(16)
  }
  [170]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [171]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [172]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "originator"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [173]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [174]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["ORDINAL_POSITION"]=>
    float(17)
  }
  [175]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [176]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "time_zone"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [177]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [178]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Show_db_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [179]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(18)
  }
  [180]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [181]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [182]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [183]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Super_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [184]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(19)
  }
  [185]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [186]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [187]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [188]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [189]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["ORDINAL_POSITION"]=>
    float(20)
  }
  [190]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [191]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [192]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["ORDINAL_POSITION"]=>
    float(21)
  }
  [193]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [194]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [195]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["ORDINAL_POSITION"]=>
    float(22)
  }
  [196]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Repl_slave_priv"
    ["ORDINAL_POSITION"]=>
    float(23)
  }
  [197]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Repl_client_priv"
    ["ORDINAL_POSITION"]=>
    float(24)
  }
  [198]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["ORDINAL_POSITION"]=>
    float(25)
  }
  [199]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["ORDINAL_POSITION"]=>
    float(26)
  }
  [200]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(27)
  }
  [201]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["ORDINAL_POSITION"]=>
    float(28)
  }
  [202]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_user_priv"
    ["ORDINAL_POSITION"]=>
    float(29)
  }
  [203]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
    ["ORDINAL_POSITION"]=>
    float(30)
  }
  [204]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["ORDINAL_POSITION"]=>
    float(31)
  }
  [205]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "ssl_type"
    ["ORDINAL_POSITION"]=>
    float(32)
  }
  [206]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "ssl_cipher"
    ["ORDINAL_POSITION"]=>
    float(33)
  }
  [207]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "x509_issuer"
    ["ORDINAL_POSITION"]=>
    float(34)
  }
  [208]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "x509_subject"
    ["ORDINAL_POSITION"]=>
    float(35)
  }
  [209]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "max_questions"
    ["ORDINAL_POSITION"]=>
    float(36)
  }
  [210]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "max_updates"
    ["ORDINAL_POSITION"]=>
    float(37)
  }
  [211]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "max_connections"
    ["ORDINAL_POSITION"]=>
    float(38)
  }
  [212]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "max_user_connections"
    ["ORDINAL_POSITION"]=>
    float(39)
  }
}
array(124) {
  [0]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Abbreviation"
    ["count0"]=>
    float(1)
  }
  [1]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
    ["count0"]=>
    float(3)
  }
  [2]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
    ["count0"]=>
    float(3)
  }
  [3]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_name"
    ["count0"]=>
    float(1)
  }
  [4]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
    ["count0"]=>
    float(2)
  }
  [5]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Correction"
    ["count0"]=>
    float(1)
  }
  [6]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
    ["count0"]=>
    float(3)
  }
  [7]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
    ["count0"]=>
    float(3)
  }
  [8]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
    ["count0"]=>
    float(3)
  }
  [9]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_user_priv"
    ["count0"]=>
    float(1)
  }
  [10]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
    ["count0"]=>
    float(3)
  }
  [11]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
    ["count0"]=>
    float(6)
  }
  [12]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
    ["count0"]=>
    float(3)
  }
  [13]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
    ["count0"]=>
    float(3)
  }
  [14]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
    ["count0"]=>
    float(2)
  }
  [15]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
    ["count0"]=>
    float(3)
  }
  [16]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "File"
    ["count0"]=>
    float(1)
  }
  [17]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "File_priv"
    ["count0"]=>
    float(1)
  }
  [18]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
    ["count0"]=>
    float(3)
  }
  [19]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
    ["count0"]=>
    float(2)
  }
  [20]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
    ["count0"]=>
    float(7)
  }
  [21]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
    ["count0"]=>
    float(3)
  }
  [22]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
    ["count0"]=>
    float(3)
  }
  [23]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Is_DST"
    ["count0"]=>
    float(1)
  }
  [24]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
    ["count0"]=>
    float(3)
  }
  [25]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Name"
    ["count0"]=>
    float(1)
  }
  [26]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Offset"
    ["count0"]=>
    float(1)
  }
  [27]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "Owner"
    ["count0"]=>
    float(1)
  }
  [28]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
    ["count0"]=>
    float(2)
  }
  [29]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "Port"
    ["count0"]=>
    float(1)
  }
  [30]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Position"
    ["count0"]=>
    float(1)
  }
  [31]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Proc_priv"
    ["count0"]=>
    float(1)
  }
  [32]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Process_priv"
    ["count0"]=>
    float(1)
  }
  [33]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
    ["count0"]=>
    float(3)
  }
  [34]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Reload_priv"
    ["count0"]=>
    float(1)
  }
  [35]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Repl_client_priv"
    ["count0"]=>
    float(1)
  }
  [36]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Repl_slave_priv"
    ["count0"]=>
    float(1)
  }
  [37]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_name"
    ["count0"]=>
    float(1)
  }
  [38]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_type"
    ["count0"]=>
    float(1)
  }
  [39]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
    ["count0"]=>
    float(3)
  }
  [40]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Server_name"
    ["count0"]=>
    float(1)
  }
  [41]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Show_db_priv"
    ["count0"]=>
    float(1)
  }
  [42]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
    ["count0"]=>
    float(3)
  }
  [43]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "Shutdown_priv"
    ["count0"]=>
    float(1)
  }
  [44]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "Socket"
    ["count0"]=>
    float(1)
  }
  [45]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Super_priv"
    ["count0"]=>
    float(1)
  }
  [46]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
    ["count0"]=>
    float(2)
  }
  [47]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "Table_priv"
    ["count0"]=>
    float(1)
  }
  [48]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
    ["count0"]=>
    float(4)
  }
  [49]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
    ["count0"]=>
    float(3)
  }
  [50]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
    ["count0"]=>
    float(2)
  }
  [51]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
    ["count0"]=>
    float(2)
  }
  [52]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
    ["count0"]=>
    float(3)
  }
  [53]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
    ["count0"]=>
    float(3)
  }
  [54]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "Use_leap_seconds"
    ["count0"]=>
    float(1)
  }
  [55]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "User"
    ["count0"]=>
    float(5)
  }
  [56]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "Username"
    ["count0"]=>
    float(1)
  }
  [57]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "Wrapper"
    ["count0"]=>
    float(1)
  }
  [58]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "argument"
    ["count0"]=>
    float(1)
  }
  [59]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "body"
    ["count0"]=>
    float(2)
  }
  [60]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
    ["count0"]=>
    float(2)
  }
  [61]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
    ["count0"]=>
    float(2)
  }
  [62]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
    ["count0"]=>
    float(2)
  }
  [63]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "command_type"
    ["count0"]=>
    float(1)
  }
  [64]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
    ["count0"]=>
    float(2)
  }
  [65]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "created"
    ["count0"]=>
    float(2)
  }
  [66]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "db"
    ["count0"]=>
    float(3)
  }
  [67]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
    ["count0"]=>
    float(2)
  }
  [68]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
    ["count0"]=>
    float(2)
  }
  [69]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "deletes"
    ["count0"]=>
    float(1)
  }
  [70]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "description"
    ["count0"]=>
    float(1)
  }
  [71]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
    ["count0"]=>
    float(2)
  }
  [72]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "ends"
    ["count0"]=>
    float(1)
  }
  [73]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(5) "epoch"
    ["count0"]=>
    float(1)
  }
  [74]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "event_time"
    ["count0"]=>
    float(1)
  }
  [75]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "example"
    ["count0"]=>
    float(1)
  }
  [76]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "execute_at"
    ["count0"]=>
    float(1)
  }
  [77]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
    ["count0"]=>
    float(2)
  }
  [78]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
    ["count0"]=>
    float(2)
  }
  [79]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
    ["count0"]=>
    float(2)
  }
  [80]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "insert_id"
    ["count0"]=>
    float(1)
  }
  [81]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "inserts"
    ["count0"]=>
    float(1)
  }
  [82]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_field"
    ["count0"]=>
    float(1)
  }
  [83]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "interval_value"
    ["count0"]=>
    float(1)
  }
  [84]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(16) "is_deterministic"
    ["count0"]=>
    float(1)
  }
  [85]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "language"
    ["count0"]=>
    float(1)
  }
  [86]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "last_executed"
    ["count0"]=>
    float(1)
  }
  [87]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(14) "last_insert_id"
    ["count0"]=>
    float(1)
  }
  [88]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "lock_time"
    ["count0"]=>
    float(1)
  }
  [89]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "max_connections"
    ["count0"]=>
    float(1)
  }
  [90]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "max_questions"
    ["count0"]=>
    float(1)
  }
  [91]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "max_updates"
    ["count0"]=>
    float(1)
  }
  [92]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(20) "max_user_connections"
    ["count0"]=>
    float(1)
  }
  [93]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
    ["count0"]=>
    float(2)
  }
  [94]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "name"
    ["count0"]=>
    float(7)
  }
  [95]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "on_completion"
    ["count0"]=>
    float(1)
  }
  [96]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "originator"
    ["count0"]=>
    float(1)
  }
  [97]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "param_list"
    ["count0"]=>
    float(1)
  }
  [98]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(18) "parent_category_id"
    ["count0"]=>
    float(1)
  }
  [99]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "query_time"
    ["count0"]=>
    float(1)
  }
  [100]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "ret"
    ["count0"]=>
    float(1)
  }
  [101]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "returns"
    ["count0"]=>
    float(1)
  }
  [102]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "rows_examined"
    ["count0"]=>
    float(1)
  }
  [103]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "rows_sent"
    ["count0"]=>
    float(1)
  }
  [104]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "schemaops"
    ["count0"]=>
    float(1)
  }
  [105]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "security_type"
    ["count0"]=>
    float(1)
  }
  [106]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
    ["count0"]=>
    float(2)
  }
  [107]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(13) "specific_name"
    ["count0"]=>
    float(1)
  }
  [108]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(15) "sql_data_access"
    ["count0"]=>
    float(1)
  }
  [109]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
    ["count0"]=>
    float(2)
  }
  [110]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "sql_text"
    ["count0"]=>
    float(1)
  }
  [111]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "ssl_cipher"
    ["count0"]=>
    float(1)
  }
  [112]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(8) "ssl_type"
    ["count0"]=>
    float(1)
  }
  [113]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(10) "start_time"
    ["count0"]=>
    float(1)
  }
  [114]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "starts"
    ["count0"]=>
    float(1)
  }
  [115]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(6) "status"
    ["count0"]=>
    float(1)
  }
  [116]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "thread_id"
    ["count0"]=>
    float(1)
  }
  [117]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "time_zone"
    ["count0"]=>
    float(1)
  }
  [118]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(4) "type"
    ["count0"]=>
    float(2)
  }
  [119]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(7) "updates"
    ["count0"]=>
    float(1)
  }
  [120]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(3) "url"
    ["count0"]=>
    float(2)
  }
  [121]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
    ["count0"]=>
    float(2)
  }
  [122]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(11) "x509_issuer"
    ["count0"]=>
    float(1)
  }
  [123]=>
  array(2) {
    ["COLUMN_NAME"]=>
    string(12) "x509_subject"
    ["count0"]=>
    float(1)
  }
}

Fatal error: Uncaught exception 'Exception' with message 'Groupby failed' in /home/mop/projekte/fastbit4php/tests/004.php:25
Stack trace:
#0 /home/mop/projekte/fastbit4php/tests/004.php(25): fastbit_table->groupby('hihi')
#1 {main}
  thrown in /home/mop/projekte/fastbit4php/tests/004.php on line 25
Warning -- bord::part::groupby found 1 unknown name in "hihi", cannot perform groupby operation
